<section class="wrapper">
  <!-- <article class="header">
    <a [routerLink]="'/new'" class="button-normal"> New </a>
    <section class="search-container">
      <input
        [(ngModel)]="searchKeyword"
        placeholder="Insert product title ..."
        (ngModelChange)="onSearchInputChange()"
      />
      <button (click)="onSearchButtonClick()" class="button-solid">
        Search
      </button>
    </section>
  </article> -->

  <article class="header">
    <a [routerLink]="'/new'" class="button-normal"> New </a>
  </article>

  <table>
    <thead>
      <tr>
        <th>Thumbnail</th>
        <th>Title</th>
        <th>Description</th>
        <th>Price</th>
        <th>Stock</th>
        <th>Brand</th>
        <th>Category</th>
        <!-- <th *ngIf="isAuthenticated">Action</th> -->
        <th>Action</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let product of products">
        <td>
          <img src="{{ product.thumbnail }}" alt="{{ product.description }}" />
        </td>
        <td title="{{ product.title }}">
          {{ product.title | slice: 0:limitCharacters }} {{ product.title.length
          > limitCharacters ? " ..." : "" }}
        </td>
        <td title="{{ product.description }}">
          {{ product.description | slice: 0:limitCharacters }} {{
          product.description.length > limitCharacters ? " ..." : "" }}
        </td>
        <td>{{ product.price }}</td>
        <td>{{ product.stock }}</td>
        <td>{{ product.brand }}</td>
        <td>{{ product.category }}</td>
        <!-- <td *ngIf="isAuthenticated" class="action">
          <button><a [routerLink]="[product.id]"> View</a></button>
          <button><a [routerLink]="[product.id, 'edit']"> Edit</a></button>
          <button (click)="onDelete(product.id, product.title)">Delete</button>
        </td> -->
        <td class="action">
          <button><a [routerLink]="[product.id]"> View</a></button>
          <button><a [routerLink]="[product.id, 'edit']"> Edit</a></button>
          <button (click)="onDelete(product.id, product.title)">Delete</button>
        </td> 
      </tr>
    </tbody>
  </table>

  <br>
  <br>
  <!-- <article class="pagination">
    <button
      (click)="onPageChange(currentPage - 1)"
      [disabled]="currentPage === 1"
    >
      Previous
    </button>
    <ng-container *ngFor="let page of getPageNumbers()">
      <button (click)="goToPage(page)">{{ page }}</button>
    </ng-container>
    <button
      (click)="onPageChange(currentPage + 1)"
      [disabled]="currentPage === totalPages"
    >
      Next
    </button>
  </article>
</section> -->

<!-- <section class="modal" *ngIf="isAuthenticated && showDeleteConfirmation"> -->
  <section class="modal" *ngIf="showDeleteConfirmation"> 
  <article class="modal-content">
    <h2>Delete Product</h2>
    <p>Are you sure you want to delete {{ productToDeleteName }}?</p>
    <article class="modal-actions">
      <button (click)="cancelDelete()" class="button-normal">Cancel</button>
      <button (click)="confirmDelete()" class="button-solid">Delete</button>
    </article>
  </article>
</section>
